{% if user.is_authenticated %}
<!DOCTYPE html>
<html>
	<head>
		{% load static %}
		<meta charset=utf-8>
		<title>Call Observer</title>
		<meta name='viewport' content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0' />
		<link href='http://fonts.googleapis.com/css?family=Montserrat:100,200,300,400,500,600,700,800,900' rel='stylesheet'>
		<link rel="stylesheet" href="{% static 'mainApp/css/main.css' %}">
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css">
	</head>
	<body>
		<div class="dropdown" id="user-menu" style="display: none;">
			<div class="item noselect nostyle"><b>{{ user.username }}</b></div>
			<div onclick="modalGet('/users/user/{{ user.id }}/edit/')" class="item selectable noselect nostyle">Настройки</div>
			<a href="{% url 'users:logout' %}" class="item selectable noselect nostyle">Выход</a>
		</div>
		<div class="wrapper">
			<ul class="left-menu">
				<a href="/" class="header noselect nostyle"><h2>Call Observer</h2></a>
				{% block left_menu_items %}{% endblock %}
				<div class="placeholder"></div>
				<div onclick="modalGet('{% url 'mainApp:helpSrc' %}')" class="item noselect"><div class="fa fa-question-circle"></div><p>Справка</p></div>
				<div class="item noselect nostyle" id="user-menu-button"><div id="c" class="fas fa-cog"></div><p id="c">Профиль</p></div>
			</ul>
			<script src="{% static 'mainApp/js/jquery-3.3.1.min.js' %}"></script>
			<script src="{% static 'mainApp/js/jquery.inputmask.js' %}"></script>
			<script src="{% static 'mainApp/js/jquery.qrcode.min.js' %}"></script>
			<script src="{% static 'mainApp/js/moment.js' %}"></script>
			<script src="{% static 'mainApp/js/moment.locales.js' %}"></script>
			<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
			<script>
				moment.locale('ru');

				// ------- Modal ------
				function modalGet(url, msg){
					$.get(url).done(function(data) {
						$(".modal-container").css({"display": "flex"});
						var script = '<script>var msg = "'+msg+'";<\/script>';
						if (msg === undefined) {
							script = '<script>var msg = "";<\/script>';
						}
						html = script + data;
						$(".modal").html(script + data);
						$(".modal-container").scrollTop(0);
						window.history.pushState('','', window.location.href);
					});
				}
				window.addEventListener('popstate', function(){
					window.location.href = window.location.href;
				});
				function closeModal() {
					$(".modal-container").css({"display": "none"});
					if ($(".modal-message").css("display") == "block") {
						location.reload();
					}
				}
				function modalMessage(text) {
					if (text) {
						$(".modal-message").css("display", "block");
						$(".modal-message .message-box").html(text);
					} else {
						$(".modal-message").css("display", "none");
					}			
				}

				// ------- Extra -------
				function gup(name, url) {
					if (!url) url = location.href;
					name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
					var regexS = "[\\?&]"+name+"=([^&#]*)";
					var regex = new RegExp( regexS );
					var results = regex.exec( url );
					return results == null ? null : results[1];
				}
				
				if (gup('modal')) {
					modalGet(gup('modal'));
					window.history.replaceState(null, null, window.location.pathname);
				}

				// ------- Menu -------
				$('#user-menu-button').click(function(){
					if ($('.dropdown#user-menu').css('display') == 'none') {
						$('.dropdown#user-menu').removeAttr('style');
					} else {
						$('.dropdown#user-menu').css('display','none');
					}
				});
				$('html').on("click", function(e){
					if (e.target.id != 'user-menu-button' && e.target.id != 'c') {
						$('.dropdown#user-menu').css('display','none');
					}
				});
			</script>
			<div class="block-content-parent">
				{% block content %}
				{% endblock %}
			</div>
			<div class="modal-container">
				<div class="modal-sandbox" onclick="closeModal();"><div class="modal"></div></div>
			</div>
		</div>
		<script>
			$('.modal').click(function(e){
				e.stopPropagation();
			});
		</script>
	</body>
</html>
{% else %}
	<!DOCTYPE html><html><head><meta http-equiv="refresh" content="0; url=/auth" /></head></html>
{% endif %}